## VOICE Get All Call Info request VOICE Get All Call Info request |

## Functions

QmiMessageVoiceGetAllCallInfoOutput * | qmi_message_voice_get_all_call_info_output_ref ()
void | qmi_message_voice_get_all_call_info_output_unref ()
gboolean | qmi_message_voice_get_all_call_info_output_get_result ()
gboolean | qmi_message_voice_get_all_call_info_output_get_call_information ()
gboolean | qmi_message_voice_get_all_call_info_output_get_remote_party_number ()
void | qmi_client_voice_get_all_call_info ()
QmiMessageVoiceGetAllCallInfoOutput * | qmi_client_voice_get_all_call_info_finish ()

## Types and Values

| QmiMessageVoiceGetAllCallInfoOutput
| QmiMessageVoiceGetAllCallInfoOutputCallInformationCall
| QmiMessageVoiceGetAllCallInfoOutputRemotePartyNumberCall

## Object Hierarchy

        GBoxed
        ╰── QmiMessageVoiceGetAllCallInfoOutput

## Description

## Functions

### qmi_message_voice_get_all_call_info_output_ref ()

    QmiMessageVoiceGetAllCallInfoOutput *
    qmi_message_voice_get_all_call_info_output_ref
                                   (QmiMessageVoiceGetAllCallInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceGetAllCallInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.30.2

### qmi_message_voice_get_all_call_info_output_unref ()

    void
    qmi_message_voice_get_all_call_info_output_unref
                                   (QmiMessageVoiceGetAllCallInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceGetAllCallInfoOutput. |

Since: 1.30.2

### qmi_message_voice_get_all_call_info_output_get_result ()

    gboolean
    qmi_message_voice_get_all_call_info_output_get_result
                                   (QmiMessageVoiceGetAllCallInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceGetAllCallInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.30.2

### qmi_message_voice_get_all_call_info_output_get_call_information ()

    gboolean
    qmi_message_voice_get_all_call_info_output_get_call_information
                                   (QmiMessageVoiceGetAllCallInfoOutput *self,
                                    GArray **value_call_information,
                                    GError **error);

Get the 'Call Information' field from `self` .

#### Parameters

self | a QmiMessageVoiceGetAllCallInfoOutput. |
value_call_information | a placeholder for the output GArray of QmiMessageVoiceGetAllCallInfoOutputCallInformationCall elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiMessageVoiceGetAllCallInfoOutputCallInformationCall][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30.2

### qmi_message_voice_get_all_call_info_output_get_remote_party_number ()

    gboolean
    qmi_message_voice_get_all_call_info_output_get_remote_party_number
                                   (QmiMessageVoiceGetAllCallInfoOutput *self,
                                    GArray **value_remote_party_number,
                                    GError **error);

Get the 'Remote Party Number' field from `self` .

#### Parameters

self | a QmiMessageVoiceGetAllCallInfoOutput. |
value_remote_party_number | a placeholder for the output GArray of QmiMessageVoiceGetAllCallInfoOutputRemotePartyNumberCall elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiMessageVoiceGetAllCallInfoOutputRemotePartyNumberCall][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30.2

### qmi_client_voice_get_all_call_info ()

    void
    qmi_client_voice_get_all_call_info (QmiClientVoice *self,
                                        gpointer unused,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Get All Call Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_get_all_call_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.30.2

### qmi_client_voice_get_all_call_info_finish ()

    QmiMessageVoiceGetAllCallInfoOutput *
    qmi_client_voice_get_all_call_info_finish
                                   (QmiClientVoice *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_voice_get_all_call_info()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_get_all_call_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceGetAllCallInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_get_all_call_info_output_unref()`.

Since: 1.30.2

## Types and Values

### QmiMessageVoiceGetAllCallInfoOutput

    typedef struct _QmiMessageVoiceGetAllCallInfoOutput QmiMessageVoiceGetAllCallInfoOutput;

The QmiMessageVoiceGetAllCallInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.30.2

### QmiMessageVoiceGetAllCallInfoOutputCallInformationCall

    typedef struct {
        guint8 id;
        QmiVoiceCallState state;
        QmiVoiceCallType type;
        QmiVoiceCallDirection direction;
        QmiVoiceCallMode mode;
        gboolean multipart_indicator;
        QmiVoiceAls als;
    } QmiMessageVoiceGetAllCallInfoOutputCallInformationCall;

A QmiMessageVoiceGetAllCallInfoOutputCallInformationCall struct.

#### Members

guint8 `id`; | a guint8. |
QmiVoiceCallState `state`; | a QmiVoiceCallState. |
QmiVoiceCallType `type`; | a QmiVoiceCallType. |
QmiVoiceCallDirection `direction`; | a QmiVoiceCallDirection. |
QmiVoiceCallMode `mode`; | a QmiVoiceCallMode. |
gboolean `multipart_indicator`; | a gboolean. |
QmiVoiceAls `als`; | a QmiVoiceAls. |

Since: 1.30.2

### QmiMessageVoiceGetAllCallInfoOutputRemotePartyNumberCall

    typedef struct {
        guint8 id;
        QmiVoicePresentation presentation_indicator;
        gchar *type;
    } QmiMessageVoiceGetAllCallInfoOutputRemotePartyNumberCall;

A QmiMessageVoiceGetAllCallInfoOutputRemotePartyNumberCall struct.

#### Members

guint8 `id`; | a guint8. |
QmiVoicePresentation `presentation_indicator`; | a QmiVoicePresentation. |
gchar *`type`; | a string. |

Since: 1.30.2